/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Mozilla browser.
 *
 * The Initial Developer of the Original Code is Mozilla.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Myk Melez <myk@mozilla.org>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

richlistitem {
  -moz-binding: url("chrome://browser/content/preferences/handlers.xml#handler");
}

richlistitem[selected="true"] {
  -moz-binding: url("chrome://browser/content/preferences/handlers.xml#handler-selected");
}

/**
 * Somewhat line up the actions menu with action labels above and below it.
 * FIXME: to really line this up, equalize the distance from the left side
 * of the action box to the left side of the icon for both the menu and the
 * non-menu versions of the action box.  Also make sure the labels are the
 * same distance away from the icons.
 */
.actionsMenu {
  margin-left: 0;
}

/**
 * Make the icons appear and pad them a bit.
 * Note: we display the icon box for every item whether or not it has an icon
 * so the labels of all the items align vertically.
 */
.actionsMenu > menupopup > menuitem > .menu-iconic-left {
  display: -moz-box;
  min-width: 16px;
  -moz-padding-start: 2px;
  -moz-padding-end: 2px;
}
